package com.hzya.frame.sysnew.application.pluginType.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.pluginType.entity.SysApplicationPluginTypeEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 插件类型表(SysApplicationPluginType)表服务接口
 *
 * @author makejava
 * @since 2024-09-19 09:56:24
 */
public interface ISysApplicationPluginTypeService extends IBaseService<SysApplicationPluginTypeEntity, String>{
    JsonResultEntity queryPluginType(JSONObject jsonObject);

    JsonResultEntity savePluginType(JSONObject jsonObject);

    JsonResultEntity updatePluginType(JSONObject jsonObject);

    JsonResultEntity deletePluginType(JSONObject jsonObject);
}
